%define ver          1.3.19
%define rel          0.fdr.2.rh90
%define prefix       /usr
%define home_page    http://swig.sourceforge.net/
%define docprefix    %{prefix}/share

# enable self checking (slow)
%define make_check 0

Summary: Simplified Wrapper and Interface Generator
Name: swig
Version: %{ver}
Release: %{rel}
Epoch: 0
URL: %{home_page}
Source0: ftp://download.sourceforge.net/pub/sourceforge/swig/%{name}-%{version}.tar.gz
Patch0: swig-1.3.19-aptfix.patch
License: BSD
Group: Development/Tools
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: python-devel, guile-devel, tcl, ruby-devel, perl, php-devel

%description
SWIG is an interface compiler that connects programs written in C,
C++, and Objective-C with scripting languages including Perl, Python,
and Tcl/Tk. It works by taking the declarations commonly found in
C/C++ header files and using them to generate the glue code (wrappers)
that scripting languages need to access the underlying C/C++ code

%package runtime
Summary: Runtime libraries required for dynamically loading swig-generated modules
Group: Development/Libraries

%description runtime
The swig-runtime package contains shared libraries used to share type 
information between swig-generated modules loaded into the same application.
Dynamically loading swig-generated modules should use the swig-runtime libs.

%prep
%setup -q -n SWIG-%{version}
%patch0 -p1 -b .aptfix

%build
# so we can build package from cvs source too
[ ! -r configure ] && ./autogen.sh
%configure --without-java --without-javac --without-javaincl

# at least 1.3.19 doesn't support concurrent build!
#make %{?_smp_mflags}
#make %{?_smp_mflags} runtime
make
make runtime

%if %{make_check}
make -k check
%endif

%install
rm -rf ${RPM_BUILD_ROOT}
# Why is exec_prefix not used in BIN_DIR in Makefile?
%makeinstall prefix=${RPM_BUILD_ROOT}%prefix BIN_DIR=${RPM_BUILD_ROOT}%{_exec_prefix}/bin

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc ANNOUNCE CHANGES CHANGES.current FUTURE LICENSE NEW README TODO Doc/
%{_bindir}/swig
%{_libdir}/swig*

%files runtime
%defattr(-,root,root)
%{_libdir}/lib*
%exclude %{_libdir}/*.la

%post runtime -p /sbin/ldconfig

%postun runtime -p /sbin/ldconfig

%changelog
* Mon Apr 07 2003 Panu Matilainen <pmatilai@welho.com> 1.3.19.0.fdr.2
- add make_check "target"
- disable SMP building, doesn't work..
- drop INSTALL, contains no useful post-build information

* Sun Apr 06 2003 Panu Matilainen <pmatilai@welho.com> 1.3.19-0.fdr.1
- update to 1.3.19
- %{_libdir} etc in %files instead of hardcoded paths
- run ldconfig in runtime post/postun
- remove .la files from runtime

* Tue Mar 25 2003 Panu Matilainen <pmatilai@welho.com> 1.3.17-0.fdr.2
- add buildrequires for languages supported in RH
- use _smp_mflags in make

* Tue Mar 25 2003 Panu Matilainen <pmatilai@welho.com> 1.3.17-0.fdr.1
- Initial Fedora packaging
- Add patch to support generating apt-python bindings
